/* Demistifying special characters:
 *
 *  p - paragraphs
 * #p - p id
 * .p - p class
 */
body {
  /* do linear interpolation on colors */
  background: linear-gradient(to bottom, skyblue, lightgreen);
  /* dont repeat background, make it cover the whole page. */
  background-repeat: no-repeat;
  background-attachment: fixed;
  /* fonts are inherited */
  font-family: "Roboto", "Times New Roman", Times, serif;

  margin: 10px;
}

a {
  text-decoration: none;
  color: yellow;
}

a:hover {
  text-decoration: underline;
}

#top-line {
  display: flex;
  flex-direction: row;

  font-size: 30px;
}

#home-ancor {
}

#home-text {
  width: 33%;

  background: linear-gradient(to right, lightgreen, skyblue);
  border-radius: 15px;

  color: brown;
}

#navbar {
  /* use width, so the browser knows how much does this element take */
  width: 66%;

  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
}

.blog-header {
}

.blog-post {
  background-color: beige;

  margin: 10px;
  padding: 5px;

  border: solid;
  border-color: wheat;
  border-radius: 5px;
  border-width: 2px;
}

footer {
  opacity: 50%;
}

footer:hover {
  opacity: 100%;
}
